Bug 103802 - /etc/init.d/atalk does not use ATALKD_RUN
/etc/init.d/atalk does not use ATALKD_RUN
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 00:41 EDT by Josh Durham
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-16 18:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Durham 2003-09-05 00:41:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
/etc/init.d/atalk does not use the ATALKD_RUN flag from
/etc/atalk/netatalk.conf.  Below is a replacement for the start section in this
file:
start() {
        echo -n $"Starting AppleTalk services: "
        if [ ${ATALK_BGROUND} = yes ] ; then
            echo -n "(backgrounded)"
            {
                if [ ${ATALKD_RUN} = yes ] ; then
                    daemon atalkd -f /etc/atalk/atalkd.conf
                    nbprgstr -p 4 "${ATALK_NAME}:Workstation"
                    nbprgstr -p 4 "${ATALK_NAME}:netatalk"
                fi
                if [ ${PAPD_RUN} = yes ] ; then
                    daemon papd -f /etc/atalk/papd.conf
                fi
                if [ ${AFPD_RUN} = yes ] ; then
                    daemon afpd -c ${AFPD_MAX_CLIENTS} -n \"${ATALK_NAME}\" -f
/etc/atalk/AppleVolumes.default -s
/etc/atalk/AppleVolumes.system
                fi
            } >/dev/null &
        else
            if [ ${ATALKD_RUN} = yes ] ; then
                daemon atalkd -f /etc/atalk/atalkd.conf
                nbprgstr -p 4 "${ATALK_NAME}:Workstation"
                nbprgstr -p 4 "${ATALK_NAME}:netatalk"
            fi
            if [ ${PAPD_RUN} = yes ] ; then
                daemon papd -f /etc/atalk/papd.conf
            fi
            if [ ${AFPD_RUN} = yes ] ; then
                daemon afpd -c ${AFPD_MAX_CLIENTS} -n \"${ATALK_NAME}\" -f
/etc/atalk/AppleVolumes.default -s /etc/atalk/AppleVolumes.system
            fi
        fi
        echo
        touch /var/lock/subsys/atalk
}


Version-Release number of selected component (if applicable):
netatalk-1.5.5-6

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/atalk start
2.
3.
    

Actual Results:  atalkd runs when ATALKD_RUN is set to no

Expected Results:  atalkd should not run when ATALKD_RUN is set to no (for
people who only want to do AFP over IP, and don't need AFP over Appletalk.)

Additional info:
Comment 1 Charlie Bennett 2004-09-23 14:09:05 EDT
This continues to be a problem in 1.6.4 in Fedora Core.
Will be addressing this soon.
Comment 2 Jason Vas Dias 2005-06-16 18:41:40 EDT
This bug is now fixed with latest netatalk-2.0.3-1 release in rawhide,
also compiled for i386/FC3 and available from:
 http://people.redhat.com/~jvdias/netatalk

Note You need to log in before you can comment on or make changes to this bug.